org.apache.fop.render.pcl

## Enum PCLRenderingMode

- java.lang.Object
- - java.lang.Enum<PCLRenderingMode>
  - - org.apache.fop.render.pcl.PCLRenderingMode

- All Implemented Interfaces:
    Serializable, Comparable<PCLRenderingMode>

      public enum PCLRenderingMode
      extends Enum<PCLRenderingMode>

  Enumeration class for PCL rendering modes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BITMAP` "Bitmap" rendering (pages are painted entirely as bitmaps, maximum quality, reduced performance)
    `QUALITY` "Quality" rendering (mixed native and bitmap for improved quality)
    `SPEED` "Speed" rendering (maximum speed with native rendering, reduced visual quality)

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getDefaultDitheringQuality()` Returns the default dithering quality for this rendering mode.
    `String` | `getName()`
    `static PCLRenderingMode` | `getValueOf(String name)` Returns the enumeration/singleton object based on its name.
    `String` | `toString()`
    `static PCLRenderingMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PCLRenderingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QUALITY

          public static final PCLRenderingMode QUALITY

      "Quality" rendering (mixed native and bitmap for improved quality)

    - #### SPEED

          public static final PCLRenderingMode SPEED

      "Speed" rendering (maximum speed with native rendering, reduced visual quality)

    - #### BITMAP

          public static final PCLRenderingMode BITMAP

      "Bitmap" rendering (pages are painted entirely as bitmaps, maximum quality, reduced performance)

  - ### Method Detail

    - #### values

          public static PCLRenderingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PCLRenderingMode c : PCLRenderingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PCLRenderingMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Returns:
        the name of the enum

    - #### getDefaultDitheringQuality

          public float getDefaultDitheringQuality()

      Returns the default dithering quality for this rendering mode.
      Returns:
        the default dithering quality (0.0f..1.0f)

    - #### getValueOf

          public static PCLRenderingMode getValueOf(String name)

      Returns the enumeration/singleton object based on its name.
      Parameters:
        `name` - the name of the enumeration value
      Returns:
        the enumeration object

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<PCLRenderingMode>`

Copyright © 2023 Apache Software Foundation. All rights reserved.